* {
  margin: 0;
  padding: 0;
  font-family: "Courier New", Courier, monospace;
}
#root {
  font-size: 34px;
  display: flex;
  width: 100%;
  height: 500px;
  justify-content: center;
  align-items: center;
  padding-top: 0.5em;
}
#calculator {
  border: 1px solid black;
  width: 25vw;
  height: 100%;
}
#display {
  border: 1px solid black;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  word-break: break-all;
  width: calc(100% - 10px);
  height: 2em;
  padding: 0px 5px;
  overflow-y: scroll;
}

#right-panel,
#left-panel {
  border: 1px solid black;
  display: flex;
  flex-flow: column-reverse;
  justify-content: flex-end;
}
#inputs {
  display: flex;
  flex-direction: row;
  width: 100%;
  height: calc(100% - 2.1em);
  user-select: none;
}
#left-panel {
  border: 1px solid black;
  width: 15vw;
  height: 100%;
}
#right-panel {
  width: calc(100% - 15vw);
  height: 100%;
}
.row {
  display: inherit;
  width: 100%;
  height: 4em;
}
.number,
#empty {
  border: 1px solid black;
  width: 3em;
  display: flex;
  justify-content: center;
  align-items: center;
}
#zero {
  width: calc(100% - 2.4em);
}
.btn {
  border: 1px solid black;
  width: 2.7em;
  display: flex;
  justify-content: center;
  align-items: center;
}

#clear,
#equals {
  width: 100%;
}
.number:hover,
#decimal:hover,
.btn:hover {
  cursor: pointer;
  color: #5691f0;
}
